package com.ruoyi.learn.service;

import java.util.List;
import com.ruoyi.learn.domain.LearnTestPaper;

/**
 * 批次测试卷Service接口
 *
 * @author ruoyi
 * @date 2025-09-18
 */
public interface ILearnTestPaperService
{
    /**
     * 查询批次测试卷
     *
     * @param id 批次测试卷主键
     * @return 批次测试卷
     */
    public LearnTestPaper selectLearnTestPaperById(Long id);
    public LearnTestPaper selectLearnTestPaperByPaperId(Long paperId);

    /**
     * 查询批次测试卷列表
     *
     * @param learnTestPaper 批次测试卷
     * @return 批次测试卷集合
     */
    public List<LearnTestPaper> selectLearnTestPaperList(LearnTestPaper learnTestPaper);

    /**
     * 新增批次测试卷
     *
     * @param learnTestPaper 批次测试卷
     * @return 结果
     */
    public int insertLearnTestPaper(LearnTestPaper learnTestPaper);

    /**
     * 修改批次测试卷
     *
     * @param learnTestPaper 批次测试卷
     * @return 结果
     */
    public int updateLearnTestPaper(LearnTestPaper learnTestPaper);

    /**
     * 批量删除批次测试卷
     *
     * @param ids 需要删除的批次测试卷主键集合
     * @return 结果
     */
    public int deleteLearnTestPaperByIds(String[] ids);

    /**
     * 删除批次测试卷信息
     *
     * @param id 批次测试卷主键
     * @return 结果
     */
    public int deleteLearnTestPaperById(String id);
}
